'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _analyticsNode = require('analytics-node');

var _analyticsNode2 = _interopRequireDefault(_analyticsNode);

var _package = require('../../package.json');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Analytics = function () {
  function Analytics() {
    _classCallCheck(this, Analytics);

    this.session = new _analyticsNode2.default('Z3ZdOzxPdnao1KwvKzzXS9QLjag1pjI9');
  }

  _createClass(Analytics, [{
    key: '_track',
    value: function _track(_ref) {
      var _this = this;

      var event = _ref.event;
      var properties = _ref.properties;

      if (process.env.DEBUG) {
        console.log('analytics:', event, properties);
      }

      return new Promise(function (resolve) {
        _this.session.track({
          properties: properties,
          userId: 'anonymous_user',
          event: _package.version + '-' + event,
          integrations: {
            'Google Analytics': false
          }
        });

        resolve();
      });
    }
  }, {
    key: 'error',
    value: function error() {
      var properties = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

      return this._track({
        properties: properties,
        event: 'error'
      });
    }
  }, {
    key: 'submit',
    value: function submit(_ref2) {
      var problem = _ref2.problem;
      var result = _ref2.result;

      return this._track({
        event: 'command',
        properties: {
          command: 'submit',
          problem: problem,
          result: result
        }
      });
    }
  }, {
    key: 'flush',
    value: function flush() {
      var _this2 = this;

      return new Promise(function (resolve) {
        if (process.env.DEBUG) {
          resolve();
        } else {
          _this2.session.flush(function () {
            resolve();
          });
        }
      });
    }
  }]);

  return Analytics;
}();

var singleton = new Analytics();

exports.default = singleton;